--[[
    Torta: A World of Warcraft addon that helps you keep track of things
    Copyright (C) 2008-2009 Lawrence Patrick Calulo (Quezacolt)

    Torta is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Torta is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Torta.  If not, see <http://www.gnu.org/licenses/>.
]]

Torta:RegisterRevision("$Revision: 30 $");

local Alerts  = {};
Torta.alerts  = Alerts;
local gui     = Torta.gui;
local widgets = gui.elements;
local frame   = widgets.alertsEditor;
local dispWnd = widgets.clDisplayWindow;
local text    = "You are currently editing timer and alert options for:\n|cffffd000%s|r - |cffffd000Task %i|r"
local displayWindowPoints = { widgets.clDisplayWindow:GetPoint(1) };

function Alerts:OpenWindow()
  listName = listName or (Torta.cl3.listData.meta.listName);
  
  self.list = Torta.cl3.listData;
  self.task = Torta.gui.selectedCLButton;
  
  getglobal(frame:GetName() .. "ListNameText"):SetFormattedText(text, Torta.cl3:GetLoadedList().meta.listName, Torta.gui.selectedCLButton);
  Torta.gui:ToggleWindow(frame);
end

function Alerts:ShowEditor()
  if not self.openTask then
    frame:Show();
    dispWnd:ClearAllPoints();
    dispWnd:SetPoint(unpack(displayWindowPoints));
    dispWnd:SetPoint("BOTTOMRIGHT", frame, "TOPRIGHT");
    gui:clCheckButtons();
    gui:MakeTaskVisible(Torta.gui.selectedCLButton);
    gui:clUpdateScrollFrame();
  else
    -- The user can't do that right now.
  end
end

function Alerts:HideEditor()
  dispWnd:ClearAllPoints();
  dispWnd:SetPoint(unpack(displayWindowPoints));
  dispWnd:SetPoint("BOTTOMRIGHT", widgets.clTaskBar, "TOPRIGHT");
  frame:Hide();
  gui:clUpdateScrollFrame();
end
