--[[
    Torta: A World of Warcraft addon that helps you keep track of things
    Copyright (C) 2008-2009 Lawrence Patrick Calulo (Quezacolt)

    Torta is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Torta is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Torta.  If not, see <http://www.gnu.org/licenses/>.
]]

Torta = {}
Torta.gui = {};
Torta.cl3 = {};
Torta.nb2 = {};
Torta.revision = 0;

FrameXML_Debug(1);

BINDING_NAME_TORTA_TOGGLEWINDOW = "Toggle Window";
BINDING_HEADER_TORTA = "Torta";

SlashCmdList["TORTA_SHOWUI"] = function()
  Torta.gui:ToggleWindow();
end
SLASH_TORTA_SHOWUI1 = "/torta";

SlashCmdList["TORTA_RLUI"] = ReloadUI;
SLASH_TORTA_RLUI1 = "/rl";

SlashCmdList["TORTA_GETWIDGETNAME"] = function()
  if GetMouseFocus() then
    print(GetMouseFocus():GetName());
  else
    print("The cursor is not over a UI element.");
  end
end
SLASH_TORTA_GETWIDGETNAME1 = "/getname";

local options = {
  name = "Torta",
  handler = Torta,
  type = "group",
  args = {
    -- ...
  }
}

function Torta:OnInitialize() -- From this point forward, the DB is available.
  local vLabel = TortaParentFrameStartPageTaskbarText;
  
  vLabel:SetFormattedText("Torta v0.2.%d Preview", self.revision);
  
  vLabel:SetJustifyH("LEFT");
  vLabel:SetAlpha(0.7);
  
  
  Torta.gui:Initialize();
  Torta.cl3:InitializeChecklist();
  Torta.nb2:InitializeNotebook();
  
  options.args.profile = LibStub("AceDBOptions-3.0"):GetOptionsTable(self.db);
  local f = LibStub("AceConfig-3.0"):RegisterOptionsTable("Torta", options);
  LibStub("AceConfigDialog-3.0"):AddToBlizOptions("Torta", "Torta");
end

function Torta:RegisterRevision(revStr)
  local rev = tonumber(revStr:match("%d+"));
  if (rev ~= nil) and (rev > self.revision) then
    self.revision = rev;
  end
end



-- ====================================================================
Torta:RegisterRevision("$Revision: 27 $");