--[[
    Torta: A World of Warcraft addon that helps you keep track of things
    Copyright (C) 2008-2009 Lawrence Patrick Calulo (Quezacolt)

    Torta is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Torta is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Torta.  If not, see <http://www.gnu.org/licenses/>.
]]
-- Database and data-handling code goes here.
-- Duh.
local defaults = {
  profile = {
    cfg = { -- Configuration
      loadedList = false -- No more ListInUse/ListLastUsed madness like before.
    },
    lists = {},
    notes = {}
  }
}

local function onProfileChanged()
  Torta.cl3:LoadList(nil);
  Torta.cl3:LoadList(Torta.db.profile.cfg.loadedList);
  Torta.gui:clUpdateScrollFrame();
  Torta.gui:exUpdateScrollFrame();
end

local evtFrame = CreateFrame("Frame");
evtFrame:RegisterEvent("VARIABLES_LOADED");
evtFrame:SetScript("OnEvent", function(frame, event)
  Torta.db = LibStub("AceDB-3.0"):New("TortaDB", defaults);
  Torta.db.RegisterCallback(Torta, "OnProfileChanged", onProfileChanged);
  Torta.db.RegisterCallback(Torta, "OnProfileCopied", onProfileChanged);
  Torta.db.RegisterCallback(Torta, "OnProfileReset", onProfileChanged);
  Torta.db.RegisterCallback(Torta, "OnDatabaseReset", onProfileChanged);
  Torta:OnInitialize();
end)
